I run 2.0 M5 RC4 in a 3.0.1 environment.

The server properties reflect the version correctly as 3.0.1.

Policies and stylesheets in the input and output transforms correctly
identify the version as "Policy Builder for IDM prior to 3.5" while
policies and stylesheets in the channels are identified as "Policy Builder
for IDM 3.5 or higher" and the additional functions are available.

This happens with a project converted from 2.0 M4 as well as with one I
import from the vault from scratch.

Regards,
-urs-